package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 提案单位答复对象 proposal_unit_reply
 * 
 * @author boman
 * @date 2024-03-07
 */
public class ProposalUnitReply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 单位id */
    @Excel(name = "单位id")
    private Long deptId;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String deptName;

    /** 提案id */
    @Excel(name = "提案id")
    private Long proposalId;

    /** 是否答复（0：是，1：否） */
    @Excel(name = "是否答复（0：是，1：否）")
    private String isReply;


    /** 答复内容 */
    @Excel(name = "答复内容")
    private String content;

    /** 单位类型 1：答复单位，2：主办单位，3：协办单位 */
    @Excel(name = "单位类型 1：答复单位，2：主办单位，3：协办单位")
    private String type;

    /** 接收时间 */
    @Excel(name = "接收时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 办结时间 */
    @Excel(name = "办结时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /** 处理方式 */
    @Excel(name = "处理方式")
    private String handling;

    /** 办理程度 */
    @Excel(name = "办理程度")
    private String degree;


    /** 附件 */
    private List<ZxFj> zxFjList;

    public void setIsReply(String isReply) {
        this.isReply = isReply;
    }

    public List<ZxFj> getZxFjList() {
        return zxFjList;
    }

    public void setZxFjList(List<ZxFj> zxFjList) {
        this.zxFjList = zxFjList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setProposalId(Long proposalId) 
    {
        this.proposalId = proposalId;
    }

    public Long getProposalId() 
    {
        return proposalId;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getIsReply() {
        return isReply;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getHandling() {
        return handling;
    }

    public void setHandling(String handling) {
        this.handling = handling;
    }

    public String getDegree() {
        return degree;
    }

    public void setDegree(String degree) {
        this.degree = degree;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deptId", getDeptId())
            .append("proposalId", getProposalId())
            .append("content", getContent())
            .append("type", getType())
            .append("remark", getRemark())
            .toString();
    }
}
